> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/cdn/domain/describedomainorigin.md).

# DescribeDomainOrigin

## 1. API Description

This API is used to query the origin information of an accelerated domain.

## 2. Request Parameters

The following table lists the required request parameters for this API.

| Parameter Name | Required | Type   | Description                      |
| -------------- | -------- | ------ | -------------------------------- |
| domainId       | Yes      | String | The ID of the accelerated domain |

## 3. Output Parameters

| Parameter Name | Type                                                            | Description                                                                                  |
| -------------- | --------------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| requestId      | String                                                          | A unique request ID. This ID is returned for each request. It is needed for locating issues. |
| origin         | [Origin](/api-reference/networking/cdn/datastructure.md#origin) | Origin information.                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query Origin of Accelerated Domain**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: DescribeDomainOrigin
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx"
}

Response:
{
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "response": {
        "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
        "origin": {
            "masterSource": "1.1.1.1",
            "slaverSource": "2.2.2.2",
            "originPort": "80",
            "originPortHttps": "443"
        }
    }
}

S3Source Response:
    {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "response": {
        "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
        "origin": {
            "masterSource": "test.s3.ap-southeast-1.amazonaws.com",
            "s3SourceConfig": {
                "accessKey": "AKIAU73DY4VOLNGXTRJW",
                "secretKey": "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",
                "service": "S3",
                "region": "ap-southeast-1"
            }
        }
    }
}

```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                        | Description                                      |
| ---------------- | --------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist. |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | Operation denied due to lack of permission.      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/domain/describedomainorigin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
